org.apache.hadoop.fs.http.server

## Class FSOperations.FSGetSnapshottableDirListing

- java.lang.Object
- - org.apache.hadoop.fs.http.server.FSOperations.FSGetSnapshottableDirListing

- All Implemented Interfaces:
    FileSystemAccess.FileSystemExecutor<String>
  Enclosing class:
    FSOperations

      @InterfaceAudience.Private
      public static class FSOperations.FSGetSnapshottableDirListing
      extends Object
      implements FileSystemAccess.FileSystemExecutor<String>

  Executor that performs a getSnapshottableDirListing operation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSGetSnapshottableDirListing()` Creates a getSnapshottableDirListing executor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `execute(org.apache.hadoop.fs.FileSystem fs)` Executes the filesystem operation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FSGetSnapshottableDirListing

          public FSGetSnapshottableDirListing()

      Creates a getSnapshottableDirListing executor.

  - ### Method Detail

    - #### execute

          public String execute(org.apache.hadoop.fs.FileSystem fs)
                         throws IOException

      Executes the filesystem operation.
      Specified by:
        `execute` in interface `FileSystemAccess.FileSystemExecutor<String>`
      Parameters:
        `fs` - filesystem instance to use.
      Returns:
        A JSON string of all snapshottable directories.
      Throws:
        `IOException` - thrown if an IO error occurred.

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.